# links and ideas

* [info](https://un.curl.dev/) about working in open source
* grep and regex [exercises](https://github.com/learnbyexample/Command-line-text-processing/tree/master/exercises/GNU_grep)
* systemd-nspawn doc and exercises
	* [hub](https://hub.nspawn.org/images/)
	* [tutorial](https://blog.selectel.com/systemd-containers-introduction-systemd-nspawn/)
	* [docker nspawn](https://seanmcgary.com/posts/run-docker-containers-with-systemd-nspawn)
	* [debian](https://wiki.debian.org/nspawn)
	* [arch](https://wiki.archlinux.org/title/systemd-nspawn#Use_a_%22macvlan%22_or_%22ipvlan%22_interface)
	* [systemd-sysext](https://0pointer.net/blog/testing-my-system-code-in-usr-without-modifying-usr.html)
	* [mkosi](http://0pointer.net/blog/mkosi-a-tool-for-generating-os-images.html) tutorial for building images
* show usage of `systemd-run`
* exercise on minimal wayland configuration
* [history of command line arguments](https://blog.liw.fi/posts/2022/05/07/unix-cli/)
* class on dpkg, apt, and .deb introspection
* class on compiling a simple program, maybe recompiling a kernel
* exercise on how to take a physical system and convert it to a VM
* munin plugin design exercise
* advanced [bash](https://tldp.org/LDP/abs/html/index.html) scripting
* make a minimal sway installation usable (wayland focused)
	* maybe same but with i3
* journald-remote exercise with https!
* setup automated install of debian
* gpg/pass/paper-key tutorial
* bash [completion](https://iridakos.com/programming/2018/03/01/bash-programmable-completion-tutorial)
* flatpak is not the [future](https://ludocode.com/blog/flatpak-is-not-the-future)
* [gameshell](https://github.com/phyver/GameShell)
* big [list](https://training-course-material.com/training/Debian_exercises) of course with exercises
* [systemd-boot](https://blobfolio.com/2018/replace-grub2-with-systemd-boot-on-ubuntu-18-04/) tutorial
* goaccess script for log [interpretation](https://github.com/stockrt/nginx2goaccess/blob/master/nginx2goaccess.sh)
* advanced [htop](https://peteris.rocks/blog/htop/)
* systemd [tips and tricks](https://www.freedesktop.org/wiki/Software/systemd/TipsAndTricks/)
* dbus [user session](https://serverfault.com/questions/892465/starting-systemd-services-sharing-a-session-d-bus-on-headless-system) for headless machines

## started

* do a mini class on barshrc customisation, prompts, zsh and ohmyzsh

test
